Subject: RE: source for miniature wood screws

From: [email-masked] (Mrwizard00)
Date: 1 Mar 1995 20:31:30 -0500

Micro-Mark, 340 Snyder Ave, Berkeley Heights, NJ 07922-1595 
(800-225-1066) has the miniature screws and brads you were looking for. 
They have lots of modelmaking stuff, dollhouse, HO scale, diaramas, etc. 
ALso miniature taps, dies, drills.  Good service, but not cheap.  My
relation is satisfied customer, no other interest.  Hope this helps.